Phoenix Digital Assets Plc
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
How to call
Request format
GET
curl -X GET "https://newhedge.io/api/v2/companies/phoenix-digital-assets-plc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params
api_token (required) — 24 character token.
Path params
:metric_name — one of the company metric names listed below.
Responses
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Metric
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
Endpoint
https://newhedge.io/api/v2/companies/phoenix-digital-assets-plc/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
{
"date": 1719705600000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.londonstockexchange.com/news-article/market-news/interim-results/16686754",
"holding_balance": 250.0,
"holding_net_change": 250.0,
"transaction_value_usd": 16083732.0,
"average_entry_value_usd": 64334.93,
"transaction_value_calculated": false
},
{
"date": 1735603200000,
"type": "sell",
"coin_id": "bitcoin",
"source_url": "https://www.londonstockexchange.com/news-article/market-news/annual-results/17109266",
"holding_balance": 247.0,
"holding_net_change": -3.0,
"transaction_value_usd": 280083.15,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Metric
Bitcoin Holdings
Historical Bitcoin holdings for the company.
Endpoint
https://newhedge.io/api/v2/companies/phoenix-digital-assets-plc/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
247.0
],
[
1789257600000,
247.0
],
[
1789344000000,
247.0
]
]
Metric
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
Endpoint
https://newhedge.io/api/v2/companies/phoenix-digital-assets-plc/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
19075525.95
],
[
1789257600000,
19081226.71
],
[
1789344000000,
18971615.52
]
]
Metric
Treasury Metrics
Bitcoin treasury summary metrics for the company.
Endpoint
https://newhedge.io/api/v2/companies/phoenix-digital-assets-plc/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "up"
}
Not available for this company
price-data(Price Data) returns 404{"error":"Data unavailable for this company"}company-data(Company Data) returns 404{"error":"Data unavailable for this company"}performance-metrics(Performance Metrics) returns 404{"error":"Data unavailable for this company"}